net/libcmis - The NetBSD Packages Collection

Client library for the CMIS interface

LibCMIS is a C++ client library implementing the
Content Management Interoperability Services (CMIS) interface. This allows C++
applications to connect to any Enterprise Content Management (ECM) system
behaving as a CMIS server, such as Alfresco or Nuxeo.

Build dependencies

devel/boost-headers pkgtools/cwrappers devel/libtool-base devel/gmake devel/pkgconf

Runtime dependencies

devel/boost-libs devel/cppunit textproc/libxml2 www/curl devel/cppunit textproc/libxml2 www/curl

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibcmis-0.5.2nb10.tgz
NetBSD 8.0earmv7hflibcmis-0.5.2nb9.tgz
NetBSD 8.0earmv7hflibcmis-0.5.2nb11.tgz
NetBSD 8.0i386libcmis-0.5.2nb9.tgz
NetBSD 8.0i386libcmis-0.5.2nb10.tgz
NetBSD 8.0i386libcmis-0.5.2nb11.tgz
NetBSD 8.0powerpclibcmis-0.5.2nb9.tgz
NetBSD 8.0powerpclibcmis-0.5.2nb11.tgz
NetBSD 8.0powerpclibcmis-0.5.2nb10.tgz
NetBSD 8.0powerpclibcmis-0.5.2nb11.tgz
NetBSD 8.0x86_64libcmis-0.5.2nb11.tgz
NetBSD 8.0x86_64libcmis-0.5.2nb9.tgz
NetBSD 8.0x86_64libcmis-0.5.2nb10.tgz
NetBSD 9.0aarch64libcmis-0.5.2nb11.tgz
NetBSD 9.0aarch64libcmis-0.5.2nb9.tgz
NetBSD 9.0aarch64libcmis-0.5.2nb10.tgz
NetBSD 9.0earmlibcmis-0.5.2nb9.tgz
NetBSD 9.0earmlibcmis-0.5.2nb10.tgz
NetBSD 9.0earmv6hflibcmis-0.5.2nb11.tgz
NetBSD 9.0earmv6hflibcmis-0.5.2nb9.tgz
NetBSD 9.0earmv6hflibcmis-0.5.2nb10.tgz
NetBSD 9.0earmv6hflibcmis-0.5.2nb10.tgz
NetBSD 9.0earmv7hflibcmis-0.5.2nb11.tgz
NetBSD 9.0earmv7hflibcmis-0.5.2nb9.tgz
NetBSD 9.0earmv7hflibcmis-0.5.2nb10.tgz
NetBSD 9.0earmv7hflibcmis-0.5.2nb10.tgz
NetBSD 9.0earmv7hflibcmis-0.5.2nb11.tgz
NetBSD 9.0i386libcmis-0.5.2nb9.tgz
NetBSD 9.0i386libcmis-0.5.2nb10.tgz
NetBSD 9.0i386libcmis-0.5.2nb11.tgz
NetBSD 9.0mips64eblibcmis-0.5.2nb11.tgz
NetBSD 9.0mips64eblibcmis-0.5.2nb9.tgz
NetBSD 9.0mips64eblibcmis-0.5.2nb10.tgz
NetBSD 9.0mipsellibcmis-0.5.2nb10.tgz
NetBSD 9.0powerpclibcmis-0.5.2nb10.tgz
NetBSD 9.0powerpclibcmis-0.5.2nb9.tgz
NetBSD 9.0powerpclibcmis-0.5.2nb11.tgz
NetBSD 9.0powerpclibcmis-0.5.2nb11.tgz
NetBSD 9.0sparc64libcmis-0.5.2nb11.tgz
NetBSD 9.0sparc64libcmis-0.5.2nb9.tgz
NetBSD 9.0sparc64libcmis-0.5.2nb9.tgz
NetBSD 9.0sparc64libcmis-0.5.2nb10.tgz
NetBSD 9.0x86_64libcmis-0.5.2nb10.tgz
NetBSD 9.0x86_64libcmis-0.5.2nb11.tgz
NetBSD 9.0x86_64libcmis-0.5.2nb11.tgz
NetBSD 9.0x86_64libcmis-0.5.2nb11.tgz
NetBSD 9.0x86_64libcmis-0.5.2nb9.tgz
NetBSD 9.0x86_64libcmis-0.5.2nb10.tgz
NetBSD 9.0x86_64libcmis-0.5.2nb11.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.